stages:
  - build
  - test

cache:
  paths:
    - node_modules

build:
  stage: build
  image: node
  script: 
    - npm install
    - npm run build
    - echo "Build successfull"
  artifacts:
    paths:
      - node_modules/

test:
  stage: test
  image: node
  script:
    - npm test
    - echo "Test successfull"
